Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Swapping_Container Class Reference

`#include <Swapping_Container.h>`

Inheritance diagram for CIAO::Swapping_Container:

[legend]
Collaboration diagram for CIAO::Swapping_Container:

[legend]
List of all members.

## Public Member Functions
| Swapping_Container (CORBA::ORB_ptr o, Container_Impl *container_impl)
virtual | ~Swapping_Container (void)
virtual int | init (const char *name=0, const CORBA::PolicyList *more_policies=0 ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Initialize the container with a name.
virtual CORBA::Object_ptr | install_servant (PortableServer::Servant p, Container::OA_Type t ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Object_ptr | get_objref (PortableServer::Servant p ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | ciao_uninstall_home (Components::CCMHome_ptr homeref ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Object_ptr | get_home_objref (PortableServer::Servant p ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | add_servant_map (PortableServer::ObjectId &oid, Dynamic_Component_Servant_Base *servant)
virtual void | delete_servant_map (PortableServer::ObjectId &oid)
virtual void | deactivate_facet (const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
PortableServer::POA_ptr | the_home_servant_POA (void) const
## Protected Attributes
long | number_
Dynamic_Component_Activator * | dsa_
## Static Protected Attributes
ACE_Atomic_Op< ACE_SYNCH_MUTEX, long > | serial_number_
## Private Member Functions
void | create_servant_POA (const char *name, const CORBA::PolicyList *p, PortableServer::POA_ptr root ACE_ENV_ARG_DECL)
| Create POA for the component.
void | create_home_servant_POA (const char *name, const CORBA::PolicyList *p, PortableServer::POA_ptr root ACE_ENV_ARG_DECL)
void | create_connections_POA (PortableServer::POA_ptr root ACE_ENV_ARG_DECL)

## Constructor & Destructor Documentation

CIAO::Swapping_Container::Swapping_Container | ( | CORBA::ORB_ptr | o,
|  | Container_Impl * | container_impl
| ) |

CIAO::Swapping_Container::~Swapping_Container | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void CIAO::Swapping_Container::add_servant_map | ( | PortableServer::ObjectId & | oid,
|  | Dynamic_Component_Servant_Base * | servant
| ) | `[virtual]`

void CIAO::Swapping_Container::ciao_uninstall_home | ( | Components::CCMHome_ptr homeref | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CIAO::Session_Container.

void CIAO::Swapping_Container::create_connections_POA | ( | PortableServer::POA_ptr root | ACE_ENV_ARG_DECL | ) | `[private]`

void CIAO::Swapping_Container::create_home_servant_POA | ( | const char * | name,
|  | const CORBA::PolicyList * | p,
|  | PortableServer::POA_ptr root | ACE_ENV_ARG_DECL
| ) | `[private]`

void CIAO::Swapping_Container::create_servant_POA | ( | const char * | name,
|  | const CORBA::PolicyList * | p,
|  | PortableServer::POA_ptr root | ACE_ENV_ARG_DECL
| ) | `[private]`

| Create POA for the component.

void CIAO::Swapping_Container::deactivate_facet | ( | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CIAO::Session_Container.

void CIAO::Swapping_Container::delete_servant_map | ( | PortableServer::ObjectId & | oid | ) | `[virtual]`

CORBA::Object_ptr CIAO::Swapping_Container::get_home_objref | ( | PortableServer::Servant p | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CIAO::Session_Container.

ACE_INLINE CORBA::Object_ptr CIAO::Swapping_Container::get_objref | ( | PortableServer::Servant p | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CIAO::Session_Container.

virtual int CIAO::Swapping_Container::init | ( | const char * | name = `0`,
|  | const CORBA::PolicyList * | more_policies = `0 ACE_ENV_ARG_DECL_WITH_DEFAULTS`
| ) | throw (CORBA::SystemException)`[virtual]`

| Initialize the container with a name. Reimplemented from CIAO::Session_Container.

CORBA::Object_ptr CIAO::Swapping_Container::install_servant | ( | PortableServer::Servant | p,
|  | Container::OA_Type t | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CIAO::Session_Container.

PortableServer::POA_ptr CIAO::Swapping_Container::the_home_servant_POA | ( | void |  | ) | const

## Member Data Documentation

Dynamic_Component_Activator* CIAO::Swapping_Container::dsa_`[protected]`

long CIAO::Swapping_Container::number_`[protected]`

| Reimplemented from CIAO::Session_Container.

ACE_Atomic_Op< ACE_SYNCH_MUTEX, long > CIAO::Swapping_Container::serial_number_`[static, protected]`

| Reimplemented from CIAO::Session_Container.

The documentation for this class was generated from the following files:

- Swapping_Container.h
- Swapping_Container.cpp
- Swapping_Container.inl